Patch an OLC draft
Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.
const url = 'https://example.com/admin/olc/example/example/draft';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '[{"arg1":1,"arg2":1,"arg3":1,"bit":1,"command":"example","enabled":true,"float":1,"if_flag":1,"index":1,"keywords":"example","kind":"example","location":1,"modifier":1,"text":"example","to_index":1,"value":1}]'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/admin/olc/example/example/draft \ --header 'Content-Type: application/json' \ --data '[ { "arg1": 1, "arg2": 1, "arg3": 1, "bit": 1, "command": "example", "enabled": true, "float": 1, "if_flag": 1, "index": 1, "keywords": "example", "kind": "example", "location": 1, "modifier": 1, "text": "example", "to_index": 1, "value": 1 } ]'Applies an ordered typed operation list to a mob, object, shop, or zone draft.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”object
Semantic OLC operation.
Example generated
[ { "arg1": 1, "arg2": 1, "arg3": 1, "bit": 1, "command": "example", "enabled": true, "float": 1, "if_flag": 1, "index": 1, "keywords": "example", "kind": "example", "location": 1, "modifier": 1, "text": "example", "to_index": 1, "value": 1 }]Responses
Section titled “Responses”OK
object
object
object
object
object
object
object
object
object
object
Example generated
{ "dirty": [ "example" ], "kind": "example", "lease_expires_at": "2026-04-15T12:00:00Z", "lease_remaining_seconds": 1, "mob": { "AC": 1, "ActionFlags": [ "example" ], "AffectFlags": [ "example" ], "Alignment": 1, "BareHandAttack": 1, "Cha": 1, "Con": 1, "Damage": { "Num": 1, "Plus": 1, "Sides": 1 }, "DefaultPos": 1, "DetailedDesc": "example", "Dex": 1, "Exp": 1, "Gold": 1, "HP": { "Num": 1, "Plus": 1, "Sides": 1 }, "Height": 1, "Int": 1, "Keywords": "example", "Level": 1, "LongDesc": "example", "LuaFunctions": 1, "Noise": "example", "Position": 1, "Race": 1, "RaceStr": "example", "ScriptName": "example", "Sex": 1, "ShortDesc": "example", "Str": 1, "StrAdd": 1, "THAC0": 1, "VNum": 1, "Weight": 1, "Wis": 1 }, "object": { "ActionDesc": "example", "Affects": [ { "Location": 1, "Modifier": 1 } ], "Cost": 1, "ExtraDescs": [ { "Description": "example", "Keywords": "example" } ], "ExtraFlags": [ 1 ], "Keywords": "example", "LoadPercent": 1, "LongDesc": "example", "LuaFunctions": 1, "ScriptName": "example", "ShortDesc": "example", "TypeFlag": 1, "VNum": 1, "Values": [ 1 ], "WearFlags": [ 1 ], "Weight": 1 }, "shop": { "Bitvector": 1, "BuyProfit": 1, "BuyTypes": [ 1 ], "BuyWords": [ "example" ], "CloseHour1": 1, "CloseHour2": 1, "KeeperVNum": 1, "Messages": [ "example" ], "OpenHour1": 1, "OpenHour2": 1, "Products": [ 1 ], "Rooms": [ 1 ], "SellProfit": 1, "Temper": 1, "VNum": 1, "WithWho": 1 }, "vnum": 1, "zone": { "commands": [ { "arg1": 1, "arg2": 1, "arg3": 1, "command": "example", "if_flag": 1, "position": 1 } ], "lifespan": 1, "name": "example", "number": 1, "reset_mode": 1, "top_room": 1 }}default
Section titled “default”Error
object
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
A URI reference that identifies the specific occurrence of the problem.
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}